# hatecomputers.club dns updater & certbot plugin

this is a simple wrapper over hatecomputers.club's dns api

## dns creation steps

1. obtain an api key at [hatecomputers.club](https://hatecomputers.club)
2. put it in `apikey.secret`
3. modify `records.json` to your liking
4. `./main.py --create --records-file=records.json`

## certbot plugin

follow the above to generate an api key.

if you use the split-zone dns provided by hatecomputers.club and run your own certificate
authority, you can try something like:
```bash
REQUESTS_CA_BUNDLE=~/armin/roots.pem certbot certonly \
  --manual --manual-auth-hook ./plugin.sh \
  --preferred-challenges dns \
  -d *.internal.simponic.xyz \
  --config-dir ./certbot \
  --work-dir ./certbot \
  --logs-dir ./certbot \
  --server https://ca.internal.simponic.xyz/acme/ACME/directory \
  --email simponic@hatecomputers.club \
  --agree-tos \
   --no-eff-email
```

otherwise:
```bash
sudo certbot certonly \
  --manual --manual-auth-hook ./plugin.sh \
  --preferred-challenges dns \
  -d *.simponic.hatecomputers.club \
  --email simponic@hatecomputers.club \
  --agree-tos \
  --no-eff-email
```
